# Generated from pdf2nook-0.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name pdf2nook

Name: rubygem-%{gem_name}
Version: 0.2.0
Release: 1%{?dist}
Summary: pdf2nook is a tool to convert PDF files, to make them more readable on e-books
License: MIT
URL: http://github.com/smileart/pdf2nook
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(jeweler) >= 2.0.1
# BuildRequires: rubygem(jeweler) < 2.1
# BuildRequires: rubygem(letters)
# BuildRequires: rubygem(simplecov)
BuildArch: noarch

%description
Tool to convert PDF files, to make them more readable
on Barnes & Nobel Simple Touch Nook reader and maybe
some other small e-ink readers with 6" screen….


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/pdf2nook
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/pdf2nook.gemspec
%{gem_instdir}/test

%changelog
* Tue Aug 24 2021 mockbuilder - 0.2.0-1
- Initial package
